%{?drupal7_find_provides_and_requires}

%global module google_analytics

Name:          drupal7-%{module}
Version:       2.4
Release:       1%{?dist}
Summary:       Adds the Google Analytics web statistics tracking system to your website

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 2.4)
Requires:      php-pcre

%description
Adds the Google Analytics web statistics tracking system to your website.

This package provides the following Drupal module:
* googleanalytics


%prep
%setup -qn %{module}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/


%build
# Empty build section, nothing to build


%install
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_modules}/%{module}


%changelog
* Sun Oct 08 2017 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.4-1
- Updated to 2.4 (RHBZ #1495375)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Sep 11 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3-1
- Updated to 2.3 (RHBZ #1366068 / SA-CONTRIB-2016-042)

* Tue Aug 02 2016 Shawn Iwinski <shawn.iwinski@gmail.com< - 2.2-1
- Updated to 2.2 (RHBZ #1329858)
- Removed %%defattr

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Dec 24 2014 Peter Borsa <peter.borsa@gmail.com> - 2.1-1
- Updated to 2.1 (BZ #1173033; release notes https://www.drupal.org/node/2384245)

* Sun Jul 20 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.0-1
- Updated to 2.0 (BZ #1115820; release notes https://www.drupal.org/node/2296171)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Peter Borsa <peter.borsa@gmail.com> - 1.4-1
- Initial package
